%define name	gxmms
%define version 0.3.0
%define release %mkrel 12

Name: 	 	%{name}
Summary: 	Controls XMMS through the GNOME2 panel
Version: 	%{version}
Release: 	%{release}

Source:		http://savannah.nongnu.org/download/gxmms/%{name}-%{version}.tar.bz2
Patch1: gxmms-0.3.0-gcc4.1.patch
URL:		http://www.nongnu.org/gxmms/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libpanel-applet-2-devel
BuildRequires:	xmms-devel
BuildRequires:  perl-XML-Parser
BuildRequires: intltool

%description
gXMMS is a simple GNOME panel applet that lets you control the basic functions
of the X MultiMedia System (XMMS).

This is the list of current features:

Scrollable track time progress bar
Buttons: Previous track - Play / Pause - Stop - Next track - Eject
Real-time tooltips with track title and time
Show/Hide main window, playlist editor and graphical eq
Internazionalization (i18n) 

%prep
%setup -q
%patch1 -p1 -b .gcc

%build
%configure2_5x --with-xmms
%make
									
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README
%_libexecdir/gxmms_applet
%{_libdir}/bonobo/servers/GNOME_gxmmsApplet.server
%{_datadir}/%name
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/pixmaps/*


%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.0-12mdv2009.0
+ Revision: 246778
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jan 01 2008 Götz Waschk <waschk@mandriva.org> 0.3.0-10mdv2008.1
+ Revision: 140145
- remove linkage workaround, it was making gxmms segfault

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 0.3.0-9mdv2008.1
+ Revision: 98584
- drop audacious plugin


* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 0.3.0-9mdv2007.0
+ Revision: 126535
- fix build

* Fri Oct 27 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-8mdv2007.1
+ Revision: 73031
- Import gxmms

* Fri Oct 27 2006 Gtz Waschk <waschk@mandriva.org> 0.3.0-8mdv2007.1
- unpack patch
- rebuild for new audacious

* Sat Aug 12 2006 Gtz Waschk <waschk@mandriva.org> 0.3.0-7mdv2007.0
- update the patch, replacing some more strings
- fix buildrequires

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 0.3.0-6mdv2007.0
- update the patch
- rebuild for new audaciou

* Tue May 23 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-5mdk
- rebuild for new audaciou

* Mon Mar 06 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-4mdk
- rebuild for new libaudacious
- use mkrel

* Sun Dec 04 2005 Gtz Waschk <waschk@mandriva.org> 0.3.0-3mdk
- build with audacious

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 0.3.0-2mdk
- fix build on x86_64

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 0.3.0-1mdk
- add beep-media-player package
- New release 0.3.0

* Thu Sep 09 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.2.1-1mdk
- New release 0.2.1

* Sat Sep 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- update file list
- update source URL
- New release 0.2.0

* Sat Jun 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-2mdk
- reformat description, bullet lists don't look good in rpmdrake
- fix buildrequires

* Fri Jun 11 2004 Austin Acton <austin@mandrake.org> 0.1.1-1mdk
- 0.1.1
- add languages

